# `abacusai.custom_metric_version`

## Module Contents

### Classes

`CustomMetricVersion` | Custom metric version

class abacusai.custom_metric_version.CustomMetricVersion(client, customMetricVersion=None, name=None, createdAt=None, customMetricFunctionName=None, codeSource={})

  Bases: `abacusai.return_class.AbstractApiClass`

  Custom metric version

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - customMetricVersion (str) – Unique string identifier for the custom metric version.

    - name (str) – Name assigned to the custom metric.

    - createdAt (str) – ISO-8601 string indicating when the custom metric was created.

    - customMetricFunctionName (str) – The name of the function defined in the source code.

    - codeSource (CodeSource) – Information about the source code of the custom metric.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict

  refresh()

    Calls describe and refreshes the current object’s fields

    Returns:

      The current object

    Return type:

      CustomMetricVersion

  describe()

    Describes a given custom metric version

    Parameters:

      custom_metric_version (str) – A unique string identifier for the custom metric version.

    Returns:

      An object describing the custom metric version.

    Return type:

      CustomMetricVersion